Company logoTrust Center Documentation
API v1 ReferenceNda templatesId

Get NDA template

Retrieve a specific NDA template by ID. Browse request parameters, authentication requirements, response payloads, and working code samples in the Orbiq API…

GET
/api/v1/nda-templates/{id}

Retrieve a specific NDA template by ID

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Template ID

Formatuuid

Query Parameters

include_versions?boolean

Include version information in the response

Defaultfalse
version?string

Specific version ID to retrieve

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/nda-templates/550e8400-e29b-41d4-a716-446655440000?include_versions=true&version=0d5340f6-8095-47e7-946b-5fad86710e96"

{  "template": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "tenant": "123e4567-e89b-12d3-a456-426614174000",    "title": "Standard Bilateral NDA",    "type": "bilateral",    "content_markdown": "# Non-Disclosure Agreement\n\nThis agreement...",    "status": "published",    "language": "en-US",    "hasActiveVersion": true,    "date_created": "2024-01-15T10:30:00Z",    "date_updated": "2024-01-15T10:30:00Z"  },  "hasPublishedVersion": true}

How is this guide?